FROM costbase:latest

WORKDIR /home/ConstructionCost

RUN git pull http://192.168.1.12:3000/SmartCost/ConstructionCost master

RUN cnpm install

RUN gulp build

EXPOSE 6060

ENV NODE_ENV=qa

ENTRYPOINT babel-node server.js
